Skip to main content
`Ctrl`+`K`

# DMPlexComputeInjectorFEM

Compute a mapping from coarse unknowns to fine unknowns

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeInjectorFEM(DM dmc, DM dmf, VecScatter *sc, PetscCtx ctx)

## Input Parameters

- dmc - The coarse mesh

- dmf - The fine mesh

- ctx - The application context

## Output Parameter

- sc - The mapping

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexComputeInterpolatorNested()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages